# Generated by Django 2.2.3 on 2019-07-29 07:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('user', '0002_auto_20190729_1202'),
        ('category', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Survey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='surveys', to='user.Profile')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SurveyAnswer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('answer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='survey_answers', to='category.PossibleAnswer')),
                ('survey', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='answers', to='survey.Survey')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
